From 42259b594b5dabd37fe2bc294051d2db82e873a2 Mon Sep 17 00:00:00 2001 From: "Thomas E. Dickey" Date: Sun, 6 Dec 2020 01:15:52 +0000 Subject: [PATCH] ncurses 6.2 - patch 20201205 + amend build-fixes for gnat 10 to work with certain systems lacking gprbuild (cf: 20200627). + eliminate an additional strlen and wsclen. + eliminate an unnecessary strlen in waddnstr() (suggested by Benjamin Abendroth). + modify inopts manpage, separating the items for nodelay and notimeout (patch by Benno Schulenberg). + correct mlterm3 kf1-kf4 (Debian #975322) -TD + add flash to mlterm3 -TD --- Ada95/aclocal.m4 | 23 ++- Ada95/configure | 96 ++++++----- Ada95/configure.in | 6 +- Ada95/src/Makefile.in | 14 +- NEWS | 19 ++- VERSION | 2 +- aclocal.m4 | 23 ++- configure | 234 ++++++++++++++------------ configure.in | 6 +- dist.mk | 4 +- doc/html/man/adacurses6-config.1.html | 2 +- doc/html/man/captoinfo.1m.html | 2 +- doc/html/man/clear.1.html | 2 +- doc/html/man/curs_inopts.3x.html | 19 ++- doc/html/man/form.3x.html | 2 +- doc/html/man/infocmp.1m.html | 2 +- doc/html/man/infotocap.1m.html | 2 +- doc/html/man/menu.3x.html | 2 +- doc/html/man/ncurses.3x.html | 2 +- doc/html/man/ncurses6-config.1.html | 2 +- doc/html/man/panel.3x.html | 2 +- doc/html/man/tabs.1.html | 2 +- doc/html/man/terminfo.5.html | 2 +- doc/html/man/tic.1m.html | 2 +- doc/html/man/toe.1m.html | 2 +- doc/html/man/tput.1.html | 2 +- doc/html/man/tset.1.html | 2 +- man/curs_inopts.3x | 7 +- misc/terminfo.src | 16 +- ncurses/base/lib_addstr.c | 10 +- ncurses/widechar/lib_ins_wch.c | 6 +- package/debian-mingw/changelog | 4 +- package/debian-mingw64/changelog | 4 +- package/debian/changelog | 4 +- package/mingw-ncurses.nsi | 4 +- package/mingw-ncurses.spec | 2 +- package/ncurses.spec | 2 +- package/ncursest.spec | 2 +- 38 files changed, 311 insertions(+), 228 deletions(-) diff --git a/Ada95/aclocal.m4 b/Ada95/aclocal.m4 index 9821881b..4f8910bd 100644 --- a/Ada95/aclocal.m4 +++ b/Ada95/aclocal.m4 @@ -29,7 +29,7 @@ dnl*************************************************************************** dnl dnl Author: Thomas E. Dickey dnl -dnl $Id: aclocal.m4,v 1.166 2020/11/26 22:37:55 tom Exp $ +dnl $Id: aclocal.m4,v 1.167 2020/12/05 21:44:26 tom Exp $ dnl Macros used in NCURSES Ada95 auto-configuration script. dnl dnl These macros are maintained separately from NCURSES. The copyright on @@ -1555,7 +1555,7 @@ AC_SUBST(cf_compile_generics) AC_SUBST(cf_generic_objects) ])dnl dnl --------------------------------------------------------------------------- -dnl CF_GNAT_PROJECTS version: 10 updated: 2019/12/31 08:53:54 +dnl CF_GNAT_PROJECTS version: 11 updated: 2020/12/05 16:42:18 dnl ---------------- dnl GNAT projects are configured with ".gpr" project files. dnl GNAT libraries are a further development, using the project feature. @@ -1639,13 +1639,24 @@ then AC_MSG_RESULT($cf_gnat_libraries) fi +USE_OLD_MAKERULES="" +USE_GNAT_PROJECTS="#" +USE_GNAT_MAKE_GPR="#" +USE_GNAT_GPRBUILD="#" + if test "$cf_gnat_projects" = yes then USE_OLD_MAKERULES="#" USE_GNAT_PROJECTS="" -else - USE_OLD_MAKERULES="" - USE_GNAT_PROJECTS="#" + if test "$cf_cv_VERSION_GPRBUILD" != no + then + USE_GNAT_GPRBUILD="" + elif test "$cf_cv_VERSION_GNATMAKE" != no + then + USE_GNAT_MAKE_GPR="" + else + AC_MSG_WARN(use old makefile rules since tools are missing) + fi fi if test "$cf_gnat_libraries" = yes @@ -1658,6 +1669,8 @@ fi AC_SUBST(USE_OLD_MAKERULES) AC_SUBST(USE_GNAT_PROJECTS) AC_SUBST(USE_GNAT_LIBRARIES) +AC_SUBST(USE_GNAT_MAKE_GPR) +AC_SUBST(USE_GNAT_GPRBUILD) ])dnl dnl --------------------------------------------------------------------------- dnl CF_GNAT_SIGINT version: 1 updated: 2011/03/27 20:07:59 diff --git a/Ada95/configure b/Ada95/configure index 1e0a6f05..d26fce1d 100755 --- a/Ada95/configure +++ b/Ada95/configure @@ -1,5 +1,5 @@ #! /bin/sh -# From configure.in Revision: 1.78 . +# From configure.in Revision: 1.79 . # Guess values for system-dependent variables and create Makefiles. # Generated by Autoconf 2.52.20200802. # @@ -17058,13 +17058,25 @@ echo $ECHO_N "checking if GNAT supports libraries... $ECHO_C" >&6 echo "${ECHO_T}$cf_gnat_libraries" >&6 fi +USE_OLD_MAKERULES="" +USE_GNAT_PROJECTS="#" +USE_GNAT_MAKE_GPR="#" +USE_GNAT_GPRBUILD="#" + if test "$cf_gnat_projects" = yes then USE_OLD_MAKERULES="#" USE_GNAT_PROJECTS="" -else - USE_OLD_MAKERULES="" - USE_GNAT_PROJECTS="#" + if test "$cf_cv_VERSION_GPRBUILD" != no + then + USE_GNAT_GPRBUILD="" + elif test "$cf_cv_VERSION_GNATMAKE" != no + then + USE_GNAT_MAKE_GPR="" + else + { echo "$as_me:17077: WARNING: use old makefile rules since tools are missing" >&5 +echo "$as_me: WARNING: use old makefile rules since tools are missing" >&2;} + fi fi if test "$cf_gnat_libraries" = yes @@ -17074,7 +17086,7 @@ else USE_GNAT_LIBRARIES="#" fi -echo "$as_me:17077: checking for ada-compiler" >&5 +echo "$as_me:17089: checking for ada-compiler" >&5 echo $ECHO_N "checking for ada-compiler... $ECHO_C" >&6 # Check whether --with-ada-compiler or --without-ada-compiler was given. @@ -17085,12 +17097,12 @@ else cf_ada_compiler=gnatmake fi; -echo "$as_me:17088: result: $cf_ada_compiler" >&5 +echo "$as_me:17100: result: $cf_ada_compiler" >&5 echo "${ECHO_T}$cf_ada_compiler" >&6 cf_ada_package=terminal_interface -echo "$as_me:17093: checking for ada-include" >&5 +echo "$as_me:17105: checking for ada-include" >&5 echo $ECHO_N "checking for ada-include... $ECHO_C" >&6 # Check whether --with-ada-include or --without-ada-include was given. @@ -17126,7 +17138,7 @@ case ".$withval" in withval=`echo $withval | sed -e s%NONE%$cf_path_syntax%` ;; (*) - { { echo "$as_me:17129: error: expected a pathname, not \"$withval\"" >&5 + { { echo "$as_me:17141: error: expected a pathname, not \"$withval\"" >&5 echo "$as_me: error: expected a pathname, not \"$withval\"" >&2;} { (exit 1); exit 1; }; } ;; @@ -17135,10 +17147,10 @@ esac fi eval ADA_INCLUDE="$withval" -echo "$as_me:17138: result: $ADA_INCLUDE" >&5 +echo "$as_me:17150: result: $ADA_INCLUDE" >&5 echo "${ECHO_T}$ADA_INCLUDE" >&6 -echo "$as_me:17141: checking for ada-objects" >&5 +echo "$as_me:17153: checking for ada-objects" >&5 echo $ECHO_N "checking for ada-objects... $ECHO_C" >&6 # Check whether --with-ada-objects or --without-ada-objects was given. @@ -17174,7 +17186,7 @@ case ".$withval" in withval=`echo $withval | sed -e s%NONE%$cf_path_syntax%` ;; (*) - { { echo "$as_me:17177: error: expected a pathname, not \"$withval\"" >&5 + { { echo "$as_me:17189: error: expected a pathname, not \"$withval\"" >&5 echo "$as_me: error: expected a pathname, not \"$withval\"" >&2;} { (exit 1); exit 1; }; } ;; @@ -17183,10 +17195,10 @@ esac fi eval ADA_OBJECTS="$withval" -echo "$as_me:17186: result: $ADA_OBJECTS" >&5 +echo "$as_me:17198: result: $ADA_OBJECTS" >&5 echo "${ECHO_T}$ADA_OBJECTS" >&6 -echo "$as_me:17189: checking if an Ada95 shared-library should be built" >&5 +echo "$as_me:17201: checking if an Ada95 shared-library should be built" >&5 echo $ECHO_N "checking if an Ada95 shared-library should be built... $ECHO_C" >&6 # Check whether --with-ada-sharedlib or --without-ada-sharedlib was given. @@ -17196,14 +17208,14 @@ if test "${with_ada_sharedlib+set}" = set; then else with_ada_sharedlib=no fi; -echo "$as_me:17199: result: $with_ada_sharedlib" >&5 +echo "$as_me:17211: result: $with_ada_sharedlib" >&5 echo "${ECHO_T}$with_ada_sharedlib" >&6 if test "x$with_ada_sharedlib" != xno then if test "x$cf_gnat_projects" != xyes then - { echo "$as_me:17206: WARNING: disabling shared-library since GNAT projects are not supported" >&5 + { echo "$as_me:17218: WARNING: disabling shared-library since GNAT projects are not supported" >&5 echo "$as_me: WARNING: disabling shared-library since GNAT projects are not supported" >&2;} with_ada_sharedlib=no fi @@ -17223,7 +17235,7 @@ fi # allow the Ada binding to be renamed -echo "$as_me:17226: checking for ada-libname" >&5 +echo "$as_me:17238: checking for ada-libname" >&5 echo $ECHO_N "checking for ada-libname... $ECHO_C" >&6 # Check whether --with-ada-libname or --without-ada-libname was given. @@ -17239,16 +17251,16 @@ case "x$ADA_LIBNAME" in ;; esac -echo "$as_me:17242: result: $ADA_LIBNAME" >&5 +echo "$as_me:17254: result: $ADA_LIBNAME" >&5 echo "${ECHO_T}$ADA_LIBNAME" >&6 else - { { echo "$as_me:17246: error: No usable Ada compiler found" >&5 + { { echo "$as_me:17258: error: No usable Ada compiler found" >&5 echo "$as_me: error: No usable Ada compiler found" >&2;} { (exit 1); exit 1; }; } fi else - { { echo "$as_me:17251: error: The Ada compiler is needed for this package" >&5 + { { echo "$as_me:17263: error: The Ada compiler is needed for this package" >&5 echo "$as_me: error: The Ada compiler is needed for this package" >&2;} { (exit 1); exit 1; }; } fi @@ -17288,7 +17300,7 @@ elif test "$includedir" != "/usr/include"; then fi ### Build up pieces for makefile rules -echo "$as_me:17291: checking default library suffix" >&5 +echo "$as_me:17303: checking default library suffix" >&5 echo $ECHO_N "checking default library suffix... $ECHO_C" >&6 case $DFT_LWR_MODEL in @@ -17299,10 +17311,10 @@ echo $ECHO_N "checking default library suffix... $ECHO_C" >&6 (shared) DFT_ARG_SUFFIX='' ;; esac test -n "$LIB_SUFFIX" && DFT_ARG_SUFFIX="${LIB_SUFFIX}${DFT_ARG_SUFFIX}" -echo "$as_me:17302: result: $DFT_ARG_SUFFIX" >&5 +echo "$as_me:17314: result: $DFT_ARG_SUFFIX" >&5 echo "${ECHO_T}$DFT_ARG_SUFFIX" >&6 -echo "$as_me:17305: checking default library-dependency suffix" >&5 +echo "$as_me:17317: checking default library-dependency suffix" >&5 echo $ECHO_N "checking default library-dependency suffix... $ECHO_C" >&6 case X$DFT_LWR_MODEL in @@ -17385,10 +17397,10 @@ echo $ECHO_N "checking default library-dependency suffix... $ECHO_C" >&6 DFT_LIB_SUFFIX="${LIB_SUFFIX}${EXTRA_SUFFIX}${DFT_LIB_SUFFIX}" DFT_DEP_SUFFIX="${LIB_SUFFIX}${EXTRA_SUFFIX}${DFT_DEP_SUFFIX}" fi -echo "$as_me:17388: result: $DFT_DEP_SUFFIX" >&5 +echo "$as_me:17400: result: $DFT_DEP_SUFFIX" >&5 echo "${ECHO_T}$DFT_DEP_SUFFIX" >&6 -echo "$as_me:17391: checking default object directory" >&5 +echo "$as_me:17403: checking default object directory" >&5 echo $ECHO_N "checking default object directory... $ECHO_C" >&6 case $DFT_LWR_MODEL in @@ -17404,7 +17416,7 @@ echo $ECHO_N "checking default object directory... $ECHO_C" >&6 DFT_OBJ_SUBDIR='obj_s' ;; esac esac -echo "$as_me:17407: result: $DFT_OBJ_SUBDIR" >&5 +echo "$as_me:17419: result: $DFT_OBJ_SUBDIR" >&5 echo "${ECHO_T}$DFT_OBJ_SUBDIR" >&6 ### Set up low-level terminfo dependencies for makefiles. @@ -17546,7 +17558,7 @@ DEFS=-DHAVE_CONFIG_H : ${CONFIG_STATUS=./config.status} ac_clean_files_save=$ac_clean_files ac_clean_files="$ac_clean_files $CONFIG_STATUS" -{ echo "$as_me:17549: creating $CONFIG_STATUS" >&5 +{ echo "$as_me:17561: creating $CONFIG_STATUS" >&5 echo "$as_me: creating $CONFIG_STATUS" >&6;} cat >$CONFIG_STATUS <<_ACEOF #! $SHELL @@ -17724,7 +17736,7 @@ cat >>$CONFIG_STATUS <<\EOF echo "$ac_cs_version"; exit 0 ;; --he | --h) # Conflict between --help and --header - { { echo "$as_me:17727: error: ambiguous option: $1 + { { echo "$as_me:17739: error: ambiguous option: $1 Try \`$0 --help' for more information." >&5 echo "$as_me: error: ambiguous option: $1 Try \`$0 --help' for more information." >&2;} @@ -17743,7 +17755,7 @@ Try \`$0 --help' for more information." >&2;} ac_need_defaults=false;; # This is an error. - -*) { { echo "$as_me:17746: error: unrecognized option: $1 + -*) { { echo "$as_me:17758: error: unrecognized option: $1 Try \`$0 --help' for more information." >&5 echo "$as_me: error: unrecognized option: $1 Try \`$0 --help' for more information." >&2;} @@ -17792,6 +17804,8 @@ NCURSES_MAJOR="$NCURSES_MAJOR" NCURSES_MINOR="$NCURSES_MINOR" NCURSES_PATCH="$NCURSES_PATCH" USE_OLD_MAKERULES="$USE_OLD_MAKERULES" +cf_cv_VERSION_GNATMAKE=$cf_cv_VERSION_GNATMAKE +cf_cv_VERSION_GPRBUILD=$cf_cv_VERSION_GPRBUILD cf_cv_abi_version="$cf_cv_abi_version" cf_cv_rel_version="$cf_cv_rel_version" cf_cv_rm_so_locs="$cf_cv_rm_so_locs" @@ -17815,7 +17829,7 @@ do "Makefile" ) CONFIG_FILES="$CONFIG_FILES Makefile" ;; "default" ) CONFIG_COMMANDS="$CONFIG_COMMANDS default" ;; "include/ncurses_cfg.h" ) CONFIG_HEADERS="$CONFIG_HEADERS include/ncurses_cfg.h:include/ncurses_cfg.hin" ;; - *) { { echo "$as_me:17818: error: invalid argument: $ac_config_target" >&5 + *) { { echo "$as_me:17832: error: invalid argument: $ac_config_target" >&5 echo "$as_me: error: invalid argument: $ac_config_target" >&2;} { (exit 1); exit 1; }; };; esac @@ -18011,6 +18025,8 @@ s,@USE_GNAT_SIGINT@,$USE_GNAT_SIGINT,;t t s,@USE_OLD_MAKERULES@,$USE_OLD_MAKERULES,;t t s,@USE_GNAT_PROJECTS@,$USE_GNAT_PROJECTS,;t t s,@USE_GNAT_LIBRARIES@,$USE_GNAT_LIBRARIES,;t t +s,@USE_GNAT_MAKE_GPR@,$USE_GNAT_MAKE_GPR,;t t +s,@USE_GNAT_GPRBUILD@,$USE_GNAT_GPRBUILD,;t t s,@cf_ada_compiler@,$cf_ada_compiler,;t t s,@cf_ada_package@,$cf_ada_package,;t t s,@ADA_INCLUDE@,$ADA_INCLUDE,;t t @@ -18167,7 +18183,7 @@ done; } esac if test x"$ac_file" != x-; then - { echo "$as_me:18170: creating $ac_file" >&5 + { echo "$as_me:18186: creating $ac_file" >&5 echo "$as_me: creating $ac_file" >&6;} rm -f "$ac_file" fi @@ -18185,7 +18201,7 @@ echo "$as_me: creating $ac_file" >&6;} -) echo $tmp/stdin ;; [\\/$]*) # Absolute (can't be DOS-style, as IFS=:) - test -f "$f" || { { echo "$as_me:18188: error: cannot find input file: $f" >&5 + test -f "$f" || { { echo "$as_me:18204: error: cannot find input file: $f" >&5 echo "$as_me: error: cannot find input file: $f" >&2;} { (exit 1); exit 1; }; } echo $f;; @@ -18198,7 +18214,7 @@ echo "$as_me: error: cannot find input file: $f" >&2;} echo $srcdir/$f else # /dev/null tree - { { echo "$as_me:18201: error: cannot find input file: $f" >&5 + { { echo "$as_me:18217: error: cannot find input file: $f" >&5 echo "$as_me: error: cannot find input file: $f" >&2;} { (exit 1); exit 1; }; } fi;; @@ -18214,7 +18230,7 @@ cat >>$CONFIG_STATUS <<\EOF if test -n "$ac_seen"; then ac_used=`grep '@datarootdir@' $ac_item` if test -z "$ac_used"; then - { echo "$as_me:18217: WARNING: datarootdir was used implicitly but not set: + { echo "$as_me:18233: WARNING: datarootdir was used implicitly but not set: $ac_seen" >&5 echo "$as_me: WARNING: datarootdir was used implicitly but not set: $ac_seen" >&2;} @@ -18223,7 +18239,7 @@ $ac_seen" >&2;} fi ac_seen=`grep '${datarootdir}' $ac_item` if test -n "$ac_seen"; then - { echo "$as_me:18226: WARNING: datarootdir was used explicitly but not set: + { echo "$as_me:18242: WARNING: datarootdir was used explicitly but not set: $ac_seen" >&5 echo "$as_me: WARNING: datarootdir was used explicitly but not set: $ac_seen" >&2;} @@ -18260,7 +18276,7 @@ s,@INSTALL@,$ac_INSTALL,;t t ac_init=`egrep '[ ]*'$ac_name'[ ]*=' $ac_file` if test -z "$ac_init"; then ac_seen=`echo "$ac_seen" |sed -e 's,^,'$ac_file':,'` - { echo "$as_me:18263: WARNING: Variable $ac_name is used but was not set: + { echo "$as_me:18279: WARNING: Variable $ac_name is used but was not set: $ac_seen" >&5 echo "$as_me: WARNING: Variable $ac_name is used but was not set: $ac_seen" >&2;} @@ -18271,7 +18287,7 @@ $ac_seen" >&2;} egrep -n '@[A-Z_][A-Z_0-9]+@' $ac_file >>$tmp/out if test -s $tmp/out; then ac_seen=`sed -e 's,^,'$ac_file':,' < $tmp/out` - { echo "$as_me:18274: WARNING: Some variables may not be substituted: + { echo "$as_me:18290: WARNING: Some variables may not be substituted: $ac_seen" >&5 echo "$as_me: WARNING: Some variables may not be substituted: $ac_seen" >&2;} @@ -18320,7 +18336,7 @@ for ac_file in : $CONFIG_HEADERS; do test "x$ac_file" = x: && continue * ) ac_file_in=$ac_file.in ;; esac - test x"$ac_file" != x- && { echo "$as_me:18323: creating $ac_file" >&5 + test x"$ac_file" != x- && { echo "$as_me:18339: creating $ac_file" >&5 echo "$as_me: creating $ac_file" >&6;} # First look for the input files in the build tree, otherwise in the @@ -18331,7 +18347,7 @@ echo "$as_me: creating $ac_file" >&6;} -) echo $tmp/stdin ;; [\\/$]*) # Absolute (can't be DOS-style, as IFS=:) - test -f "$f" || { { echo "$as_me:18334: error: cannot find input file: $f" >&5 + test -f "$f" || { { echo "$as_me:18350: error: cannot find input file: $f" >&5 echo "$as_me: error: cannot find input file: $f" >&2;} { (exit 1); exit 1; }; } echo $f;; @@ -18344,7 +18360,7 @@ echo "$as_me: error: cannot find input file: $f" >&2;} echo $srcdir/$f else # /dev/null tree - { { echo "$as_me:18347: error: cannot find input file: $f" >&5 + { { echo "$as_me:18363: error: cannot find input file: $f" >&5 echo "$as_me: error: cannot find input file: $f" >&2;} { (exit 1); exit 1; }; } fi;; @@ -18402,7 +18418,7 @@ cat >>$CONFIG_STATUS <<\EOF rm -f $tmp/in if test x"$ac_file" != x-; then if cmp -s $ac_file $tmp/config.h 2>/dev/null; then - { echo "$as_me:18405: $ac_file is unchanged" >&5 + { echo "$as_me:18421: $ac_file is unchanged" >&5 echo "$as_me: $ac_file is unchanged" >&6;} else ac_dir=`$as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \ diff --git a/Ada95/configure.in b/Ada95/configure.in index 591e83b0..f0f1e548 100644 --- a/Ada95/configure.in +++ b/Ada95/configure.in @@ -29,7 +29,7 @@ dnl*************************************************************************** dnl dnl Author: Thomas E. Dickey dnl -dnl $Id: configure.in,v 1.78 2020/08/29 14:56:44 tom Exp $ +dnl $Id: configure.in,v 1.79 2020/12/05 21:40:57 tom Exp $ dnl Process this file with autoconf to produce a configure script. dnl dnl For additional information, see @@ -38,7 +38,7 @@ dnl https://invisible-island.net/autoconf/my-autoconf.html dnl dnl --------------------------------------------------------------------------- AC_PREREQ(2.52.20200111) -AC_REVISION($Revision: 1.78 $) +AC_REVISION($Revision: 1.79 $) AC_INIT(gen/gen.c) AC_CONFIG_HEADER(include/ncurses_cfg.h:include/ncurses_cfg.hin) @@ -611,6 +611,8 @@ NCURSES_MAJOR="$NCURSES_MAJOR" NCURSES_MINOR="$NCURSES_MINOR" NCURSES_PATCH="$NCURSES_PATCH" USE_OLD_MAKERULES="$USE_OLD_MAKERULES" +cf_cv_VERSION_GNATMAKE=$cf_cv_VERSION_GNATMAKE +cf_cv_VERSION_GPRBUILD=$cf_cv_VERSION_GPRBUILD cf_cv_abi_version="$cf_cv_abi_version" cf_cv_rel_version="$cf_cv_rel_version" cf_cv_rm_so_locs="$cf_cv_rm_so_locs" diff --git a/Ada95/src/Makefile.in b/Ada95/src/Makefile.in index 498eec73..5855a107 100644 --- a/Ada95/src/Makefile.in +++ b/Ada95/src/Makefile.in @@ -29,7 +29,7 @@ # # Author: Juergen Pfeifer, 1996 # -# $Id: Makefile.in,v 1.93 2020/08/29 17:01:01 tom Exp $ +# $Id: Makefile.in,v 1.94 2020/12/05 21:19:40 tom Exp $ # .SUFFIXES: @@ -277,11 +277,13 @@ STATIC_DIRS = \ @USE_GNAT_PROJECTS@ -rm -f $(GNAT_PROJECT) @USE_GNAT_PROJECTS@ $(SHELL) $(srcdir)/library-cfg.sh static library.gpr $(CFLAGS_NORMAL) >$(GNAT_PROJECT) @USE_GNAT_PROJECTS@ @echo "Using GNAT Project:" -@USE_GNAT_PROJECTS@ @-$(SHELL) -c "diff -c library.gpr $(GNAT_PROJECT); exit 0" -@USE_GNAT_PROJECTS@ -@USE_GNAT_PROJECTS@ gprbuild -p $(ADAMAKEFLAGS) -XLIB_KIND=static -@USE_GNAT_PROJECTS@ -@USE_GNAT_PROJECTS@ -rm -f $(GNAT_PROJECT) +@USE_GNAT_MAKE_GPR@ @-$(SHELL) -c "diff -c $(srcdir)/library.gpr $(GNAT_PROJECT); exit 0" +@USE_GNAT_MAKE_GPR@ $(ADAMAKE) $(ADAMAKEFLAGS) -XLIB_KIND=static +@USE_GNAT_MAKE_GPR@ $(AR) $(ARFLAGS) $@ $(STATIC_C_OBJS) +@USE_GNAT_MAKE_GPR@ -rm -f $(GNAT_PROJECT) +@USE_GNAT_GPRBUILD@ @-$(SHELL) -c "diff -c library.gpr $(GNAT_PROJECT); exit 0" +@USE_GNAT_GPRBUILD@ gprbuild -p $(ADAMAKEFLAGS) -XLIB_KIND=static +@USE_GNAT_GPRBUILD@ -rm -f $(GNAT_PROJECT) #OLD:BEGIN @USE_GNAT_LIBRARIES@install \ diff --git a/NEWS b/NEWS index 29f31ffb..50690bfe 100644 --- a/NEWS +++ b/NEWS @@ -26,7 +26,7 @@ -- sale, use or other dealings in this Software without prior written -- -- authorization. -- ------------------------------------------------------------------------------- --- $Id: NEWS,v 1.3600 2020/11/28 23:32:30 tom Exp $ +-- $Id: NEWS,v 1.3603 2020/12/05 21:40:07 tom Exp $ ------------------------------------------------------------------------------- This is a log of changes that ncurses has gone through since Zeyd started @@ -46,6 +46,17 @@ See the AUTHORS file for the corresponding full names. Changes through 1.9.9e did not credit all contributions; it is not possible to add this information. +20201205 + + amend build-fixes for gnat 10 to work with certain systems lacking + gprbuild (cf: 20200627). + + eliminate an additional strlen and wsclen. + + eliminate an unnecessary strlen in waddnstr() (suggested by Benjamin + Abendroth). + + modify inopts manpage, separating the items for nodelay and notimeout + (patch by Benno Schulenberg). + + correct mlterm3 kf1-kf4 (Debian #975322) -TD + + add flash to mlterm3 -TD + 20201128 + add Smulx to alacritty (Christian Duerr). + add rep to PuTTY -TD @@ -282,7 +293,7 @@ it is not possible to add this information. + correct configure version-check/warnng for g++ to allow for 10.x + re-enable "bel" in konsole-base (report by Nia Huang) + add linux-s entry (patch by Alexandre Montaron). - + drop long-obsolete convert_configure.pl + + drop long-obsolete convert_configure.pl + add test/test_parm.c, for checking tparm changes. + improve parameter-checking for tparm, adding function _nc_tiparm() to handle the most-used case, which accepts only numeric parameters @@ -298,7 +309,7 @@ it is not possible to add this information. + update version-check for gnat to allow for gnat 10.x to 99.x + fix an uninitialized variable in lib_mouse.c changes (cf: 20200502) + add a check in EmitRange to guard against repeat_char emitting digits - which could be interpreted as BSD-style padding when --enable-bsdpad + which could be interpreted as BSD-style padding when --enable-bsdpad is configured (report/patch by Hiltjo Posthuma). + add --disable-pkg-ldflags to suppress EXTRA_LDFLAGS from the generated pkg-config and ncurses*-config files, to simplify @@ -586,7 +597,7 @@ it is not possible to add this information. + build-fixes for Ada95 configure-script and corresponding test package 20190907 - + add --with-ada-libname option and modify Ada95 configuration to + + add --with-ada-libname option and modify Ada95 configuration to allow renaming the "AdaCurses" library (prompted by proposed changes by Pascal Pignard). + modify configure script to distinguish gcc from icc and clang when diff --git a/VERSION b/VERSION index a79fe5bd..77502fd2 100644 --- a/VERSION +++ b/VERSION @@ -1 +1 @@ -5:0:10 6.2 20201128 +5:0:10 6.2 20201205 diff --git a/aclocal.m4 b/aclocal.m4 index 3b7d973a..144abc99 100644 --- a/aclocal.m4 +++ b/aclocal.m4 @@ -29,7 +29,7 @@ dnl*************************************************************************** dnl dnl Author: Thomas E. Dickey 1995-on dnl -dnl $Id: aclocal.m4,v 1.941 2020/11/26 22:37:55 tom Exp $ +dnl $Id: aclocal.m4,v 1.942 2020/12/05 21:43:15 tom Exp $ dnl Macros used in NCURSES auto-configuration script. dnl dnl These macros are maintained separately from NCURSES. The copyright on @@ -2969,7 +2969,7 @@ AC_SUBST(cf_compile_generics) AC_SUBST(cf_generic_objects) ])dnl dnl --------------------------------------------------------------------------- -dnl CF_GNAT_PROJECTS version: 10 updated: 2019/12/31 08:53:54 +dnl CF_GNAT_PROJECTS version: 11 updated: 2020/12/05 16:42:18 dnl ---------------- dnl GNAT projects are configured with ".gpr" project files. dnl GNAT libraries are a further development, using the project feature. @@ -3053,13 +3053,24 @@ then AC_MSG_RESULT($cf_gnat_libraries) fi +USE_OLD_MAKERULES="" +USE_GNAT_PROJECTS="#" +USE_GNAT_MAKE_GPR="#" +USE_GNAT_GPRBUILD="#" + if test "$cf_gnat_projects" = yes then USE_OLD_MAKERULES="#" USE_GNAT_PROJECTS="" -else - USE_OLD_MAKERULES="" - USE_GNAT_PROJECTS="#" + if test "$cf_cv_VERSION_GPRBUILD" != no + then + USE_GNAT_GPRBUILD="" + elif test "$cf_cv_VERSION_GNATMAKE" != no + then + USE_GNAT_MAKE_GPR="" + else + AC_MSG_WARN(use old makefile rules since tools are missing) + fi fi if test "$cf_gnat_libraries" = yes @@ -3072,6 +3083,8 @@ fi AC_SUBST(USE_OLD_MAKERULES) AC_SUBST(USE_GNAT_PROJECTS) AC_SUBST(USE_GNAT_LIBRARIES) +AC_SUBST(USE_GNAT_MAKE_GPR) +AC_SUBST(USE_GNAT_GPRBUILD) ])dnl dnl --------------------------------------------------------------------------- dnl CF_GNAT_SIGINT version: 1 updated: 2011/03/27 20:07:59 diff --git a/configure b/configure index 65cf61ca..7769dbed 100755 --- a/configure +++ b/configure @@ -1,5 +1,5 @@ #! /bin/sh -# From configure.in Revision: 1.725 . +# From configure.in Revision: 1.726 . # Guess values for system-dependent variables and create Makefiles. # Generated by Autoconf 2.52.20200802. # @@ -26593,13 +26593,25 @@ echo $ECHO_N "checking if GNAT supports libraries... $ECHO_C" >&6 echo "${ECHO_T}$cf_gnat_libraries" >&6 fi +USE_OLD_MAKERULES="" +USE_GNAT_PROJECTS="#" +USE_GNAT_MAKE_GPR="#" +USE_GNAT_GPRBUILD="#" + if test "$cf_gnat_projects" = yes then USE_OLD_MAKERULES="#" USE_GNAT_PROJECTS="" -else - USE_OLD_MAKERULES="" - USE_GNAT_PROJECTS="#" + if test "$cf_cv_VERSION_GPRBUILD" != no + then + USE_GNAT_GPRBUILD="" + elif test "$cf_cv_VERSION_GNATMAKE" != no + then + USE_GNAT_MAKE_GPR="" + else + { echo "$as_me:26612: WARNING: use old makefile rules since tools are missing" >&5 +echo "$as_me: WARNING: use old makefile rules since tools are missing" >&2;} + fi fi if test "$cf_gnat_libraries" = yes @@ -26609,7 +26621,7 @@ else USE_GNAT_LIBRARIES="#" fi -echo "$as_me:26612: checking for ada-compiler" >&5 +echo "$as_me:26624: checking for ada-compiler" >&5 echo $ECHO_N "checking for ada-compiler... $ECHO_C" >&6 # Check whether --with-ada-compiler or --without-ada-compiler was given. @@ -26620,12 +26632,12 @@ else cf_ada_compiler=gnatmake fi; -echo "$as_me:26623: result: $cf_ada_compiler" >&5 +echo "$as_me:26635: result: $cf_ada_compiler" >&5 echo "${ECHO_T}$cf_ada_compiler" >&6 cf_ada_package=terminal_interface -echo "$as_me:26628: checking for ada-include" >&5 +echo "$as_me:26640: checking for ada-include" >&5 echo $ECHO_N "checking for ada-include... $ECHO_C" >&6 # Check whether --with-ada-include or --without-ada-include was given. @@ -26661,7 +26673,7 @@ case ".$withval" in withval=`echo $withval | sed -e s%NONE%$cf_path_syntax%` ;; (*) - { { echo "$as_me:26664: error: expected a pathname, not \"$withval\"" >&5 + { { echo "$as_me:26676: error: expected a pathname, not \"$withval\"" >&5 echo "$as_me: error: expected a pathname, not \"$withval\"" >&2;} { (exit 1); exit 1; }; } ;; @@ -26670,10 +26682,10 @@ esac fi eval ADA_INCLUDE="$withval" -echo "$as_me:26673: result: $ADA_INCLUDE" >&5 +echo "$as_me:26685: result: $ADA_INCLUDE" >&5 echo "${ECHO_T}$ADA_INCLUDE" >&6 -echo "$as_me:26676: checking for ada-objects" >&5 +echo "$as_me:26688: checking for ada-objects" >&5 echo $ECHO_N "checking for ada-objects... $ECHO_C" >&6 # Check whether --with-ada-objects or --without-ada-objects was given. @@ -26709,7 +26721,7 @@ case ".$withval" in withval=`echo $withval | sed -e s%NONE%$cf_path_syntax%` ;; (*) - { { echo "$as_me:26712: error: expected a pathname, not \"$withval\"" >&5 + { { echo "$as_me:26724: error: expected a pathname, not \"$withval\"" >&5 echo "$as_me: error: expected a pathname, not \"$withval\"" >&2;} { (exit 1); exit 1; }; } ;; @@ -26718,10 +26730,10 @@ esac fi eval ADA_OBJECTS="$withval" -echo "$as_me:26721: result: $ADA_OBJECTS" >&5 +echo "$as_me:26733: result: $ADA_OBJECTS" >&5 echo "${ECHO_T}$ADA_OBJECTS" >&6 -echo "$as_me:26724: checking if an Ada95 shared-library should be built" >&5 +echo "$as_me:26736: checking if an Ada95 shared-library should be built" >&5 echo $ECHO_N "checking if an Ada95 shared-library should be built... $ECHO_C" >&6 # Check whether --with-ada-sharedlib or --without-ada-sharedlib was given. @@ -26731,14 +26743,14 @@ if test "${with_ada_sharedlib+set}" = set; then else with_ada_sharedlib=no fi; -echo "$as_me:26734: result: $with_ada_sharedlib" >&5 +echo "$as_me:26746: result: $with_ada_sharedlib" >&5 echo "${ECHO_T}$with_ada_sharedlib" >&6 if test "x$with_ada_sharedlib" != xno then if test "x$cf_gnat_projects" != xyes then - { echo "$as_me:26741: WARNING: disabling shared-library since GNAT projects are not supported" >&5 + { echo "$as_me:26753: WARNING: disabling shared-library since GNAT projects are not supported" >&5 echo "$as_me: WARNING: disabling shared-library since GNAT projects are not supported" >&2;} with_ada_sharedlib=no fi @@ -26758,7 +26770,7 @@ fi # allow the Ada binding to be renamed -echo "$as_me:26761: checking for ada-libname" >&5 +echo "$as_me:26773: checking for ada-libname" >&5 echo $ECHO_N "checking for ada-libname... $ECHO_C" >&6 # Check whether --with-ada-libname or --without-ada-libname was given. @@ -26774,7 +26786,7 @@ case "x$ADA_LIBNAME" in ;; esac -echo "$as_me:26777: result: $ADA_LIBNAME" >&5 +echo "$as_me:26789: result: $ADA_LIBNAME" >&5 echo "${ECHO_T}$ADA_LIBNAME" >&6 fi @@ -26785,13 +26797,13 @@ fi # do this "late" to avoid conflict with header-checks if test "x$with_widec" = xyes ; then - echo "$as_me:26788: checking for wchar_t" >&5 + echo "$as_me:26800: checking for wchar_t" >&5 echo $ECHO_N "checking for wchar_t... $ECHO_C" >&6 if test "${ac_cv_type_wchar_t+set}" = set; then echo $ECHO_N "(cached) $ECHO_C" >&6 else cat >conftest.$ac_ext <<_ACEOF -#line 26794 "configure" +#line 26806 "configure" #include "confdefs.h" $ac_includes_default int @@ -26806,16 +26818,16 @@ if (sizeof (wchar_t)) } _ACEOF rm -f conftest.$ac_objext -if { (eval echo "$as_me:26809: \"$ac_compile\"") >&5 +if { (eval echo "$as_me:26821: \"$ac_compile\"") >&5 (eval $ac_compile) 2>&5 ac_status=$? - echo "$as_me:26812: \$? = $ac_status" >&5 + echo "$as_me:26824: \$? = $ac_status" >&5 (exit $ac_status); } && { ac_try='test -s conftest.$ac_objext' - { (eval echo "$as_me:26815: \"$ac_try\"") >&5 + { (eval echo "$as_me:26827: \"$ac_try\"") >&5 (eval $ac_try) 2>&5 ac_status=$? - echo "$as_me:26818: \$? = $ac_status" >&5 + echo "$as_me:26830: \$? = $ac_status" >&5 (exit $ac_status); }; }; then ac_cv_type_wchar_t=yes else @@ -26825,10 +26837,10 @@ ac_cv_type_wchar_t=no fi rm -f conftest.$ac_objext conftest.$ac_ext fi -echo "$as_me:26828: result: $ac_cv_type_wchar_t" >&5 +echo "$as_me:26840: result: $ac_cv_type_wchar_t" >&5 echo "${ECHO_T}$ac_cv_type_wchar_t" >&6 -echo "$as_me:26831: checking size of wchar_t" >&5 +echo "$as_me:26843: checking size of wchar_t" >&5 echo $ECHO_N "checking size of wchar_t... $ECHO_C" >&6 if test "${ac_cv_sizeof_wchar_t+set}" = set; then echo $ECHO_N "(cached) $ECHO_C" >&6 @@ -26837,7 +26849,7 @@ else if test "$cross_compiling" = yes; then # Depending upon the size, compute the lo and hi bounds. cat >conftest.$ac_ext <<_ACEOF -#line 26840 "configure" +#line 26852 "configure" #include "confdefs.h" $ac_includes_default int @@ -26849,21 +26861,21 @@ int _array_ [1 - 2 * !((sizeof (wchar_t)) >= 0)] } _ACEOF rm -f conftest.$ac_objext -if { (eval echo "$as_me:26852: \"$ac_compile\"") >&5 +if { (eval echo "$as_me:26864: \"$ac_compile\"") >&5 (eval $ac_compile) 2>&5 ac_status=$? - echo "$as_me:26855: \$? = $ac_status" >&5 + echo "$as_me:26867: \$? = $ac_status" >&5 (exit $ac_status); } && { ac_try='test -s conftest.$ac_objext' - { (eval echo "$as_me:26858: \"$ac_try\"") >&5 + { (eval echo "$as_me:26870: \"$ac_try\"") >&5 (eval $ac_try) 2>&5 ac_status=$? - echo "$as_me:26861: \$? = $ac_status" >&5 + echo "$as_me:26873: \$? = $ac_status" >&5 (exit $ac_status); }; }; then ac_lo=0 ac_mid=0 while :; do cat >conftest.$ac_ext <<_ACEOF -#line 26866 "configure" +#line 26878 "configure" #include "confdefs.h" $ac_includes_default int @@ -26875,16 +26887,16 @@ int _array_ [1 - 2 * !((sizeof (wchar_t)) <= $ac_mid)] } _ACEOF rm -f conftest.$ac_objext -if { (eval echo "$as_me:26878: \"$ac_compile\"") >&5 +if { (eval echo "$as_me:26890: \"$ac_compile\"") >&5 (eval $ac_compile) 2>&5 ac_status=$? - echo "$as_me:26881: \$? = $ac_status" >&5 + echo "$as_me:26893: \$? = $ac_status" >&5 (exit $ac_status); } && { ac_try='test -s conftest.$ac_objext' - { (eval echo "$as_me:26884: \"$ac_try\"") >&5 + { (eval echo "$as_me:26896: \"$ac_try\"") >&5 (eval $ac_try) 2>&5 ac_status=$? - echo "$as_me:26887: \$? = $ac_status" >&5 + echo "$as_me:26899: \$? = $ac_status" >&5 (exit $ac_status); }; }; then ac_hi=$ac_mid; break else @@ -26900,7 +26912,7 @@ cat conftest.$ac_ext >&5 ac_hi=-1 ac_mid=-1 while :; do cat >conftest.$ac_ext <<_ACEOF -#line 26903 "configure" +#line 26915 "configure" #include "confdefs.h" $ac_includes_default int @@ -26912,16 +26924,16 @@ int _array_ [1 - 2 * !((sizeof (wchar_t)) >= $ac_mid)] } _ACEOF rm -f conftest.$ac_objext -if { (eval echo "$as_me:26915: \"$ac_compile\"") >&5 +if { (eval echo "$as_me:26927: \"$ac_compile\"") >&5 (eval $ac_compile) 2>&5 ac_status=$? - echo "$as_me:26918: \$? = $ac_status" >&5 + echo "$as_me:26930: \$? = $ac_status" >&5 (exit $ac_status); } && { ac_try='test -s conftest.$ac_objext' - { (eval echo "$as_me:26921: \"$ac_try\"") >&5 + { (eval echo "$as_me:26933: \"$ac_try\"") >&5 (eval $ac_try) 2>&5 ac_status=$? - echo "$as_me:26924: \$? = $ac_status" >&5 + echo "$as_me:26936: \$? = $ac_status" >&5 (exit $ac_status); }; }; then ac_lo=$ac_mid; break else @@ -26937,7 +26949,7 @@ rm -f conftest.$ac_objext conftest.$ac_ext while test "x$ac_lo" != "x$ac_hi"; do ac_mid=`expr '(' $ac_hi - $ac_lo ')' / 2 + $ac_lo` cat >conftest.$ac_ext <<_ACEOF -#line 26940 "configure" +#line 26952 "configure" #include "confdefs.h" $ac_includes_default int @@ -26949,16 +26961,16 @@ int _array_ [1 - 2 * !((sizeof (wchar_t)) <= $ac_mid)] } _ACEOF rm -f conftest.$ac_objext -if { (eval echo "$as_me:26952: \"$ac_compile\"") >&5 +if { (eval echo "$as_me:26964: \"$ac_compile\"") >&5 (eval $ac_compile) 2>&5 ac_status=$? - echo "$as_me:26955: \$? = $ac_status" >&5 + echo "$as_me:26967: \$? = $ac_status" >&5 (exit $ac_status); } && { ac_try='test -s conftest.$ac_objext' - { (eval echo "$as_me:26958: \"$ac_try\"") >&5 + { (eval echo "$as_me:26970: \"$ac_try\"") >&5 (eval $ac_try) 2>&5 ac_status=$? - echo "$as_me:26961: \$? = $ac_status" >&5 + echo "$as_me:26973: \$? = $ac_status" >&5 (exit $ac_status); }; }; then ac_hi=$ac_mid else @@ -26971,12 +26983,12 @@ done ac_cv_sizeof_wchar_t=$ac_lo else if test "$cross_compiling" = yes; then - { { echo "$as_me:26974: error: cannot run test program while cross compiling" >&5 + { { echo "$as_me:26986: error: cannot run test program while cross compiling" >&5 echo "$as_me: error: cannot run test program while cross compiling" >&2;} { (exit 1); exit 1; }; } else cat >conftest.$ac_ext <<_ACEOF -#line 26979 "configure" +#line 26991 "configure" #include "confdefs.h" $ac_includes_default int @@ -26992,15 +27004,15 @@ fclose (f); } _ACEOF rm -f conftest$ac_exeext -if { (eval echo "$as_me:26995: \"$ac_link\"") >&5 +if { (eval echo "$as_me:27007: \"$ac_link\"") >&5 (eval $ac_link) 2>&5 ac_status=$? - echo "$as_me:26998: \$? = $ac_status" >&5 + echo "$as_me:27010: \$? = $ac_status" >&5 (exit $ac_status); } && { ac_try='./conftest$ac_exeext' - { (eval echo "$as_me:27000: \"$ac_try\"") >&5 + { (eval echo "$as_me:27012: \"$ac_try\"") >&5 (eval $ac_try) 2>&5 ac_status=$? - echo "$as_me:27003: \$? = $ac_status" >&5 + echo "$as_me:27015: \$? = $ac_status" >&5 (exit $ac_status); }; }; then ac_cv_sizeof_wchar_t=`cat conftest.val` else @@ -27016,7 +27028,7 @@ else ac_cv_sizeof_wchar_t=0 fi fi -echo "$as_me:27019: result: $ac_cv_sizeof_wchar_t" >&5 +echo "$as_me:27031: result: $ac_cv_sizeof_wchar_t" >&5 echo "${ECHO_T}$ac_cv_sizeof_wchar_t" >&6 cat >>confdefs.h <&6 -echo "${as_me:-configure}:27032: testing test failed (assume 2) ..." 1>&5 +echo "${as_me:-configure}:27044: testing test failed (assume 2) ..." 1>&5 sed /SIZEOF_WCHAR_T/d confdefs.h >confdefs.tmp mv confdefs.tmp confdefs.h @@ -27047,7 +27059,7 @@ fi ### chooses to split module lists into libraries. ### ### (see CF_LIB_RULES). -echo "$as_me:27050: checking for library subsets" >&5 +echo "$as_me:27062: checking for library subsets" >&5 echo $ECHO_N "checking for library subsets... $ECHO_C" >&6 LIB_SUBSETS= @@ -27101,7 +27113,7 @@ fi test "x$with_widec" = xyes && LIB_SUBSETS="${LIB_SUBSETS}+widechar" test "x$with_ext_funcs" = xyes && LIB_SUBSETS="${LIB_SUBSETS}+ext_funcs" -echo "$as_me:27104: result: $LIB_SUBSETS" >&5 +echo "$as_me:27116: result: $LIB_SUBSETS" >&5 echo "${ECHO_T}$LIB_SUBSETS" >&6 ### Construct the list of include-directories to be generated @@ -27132,7 +27144,7 @@ elif test "$includedir" != "/usr/include"; then fi ### Build up pieces for makefile rules -echo "$as_me:27135: checking default library suffix" >&5 +echo "$as_me:27147: checking default library suffix" >&5 echo $ECHO_N "checking default library suffix... $ECHO_C" >&6 case $DFT_LWR_MODEL in @@ -27143,10 +27155,10 @@ echo $ECHO_N "checking default library suffix... $ECHO_C" >&6 (shared) DFT_ARG_SUFFIX='' ;; esac test -n "$LIB_SUFFIX" && DFT_ARG_SUFFIX="${LIB_SUFFIX}${DFT_ARG_SUFFIX}" -echo "$as_me:27146: result: $DFT_ARG_SUFFIX" >&5 +echo "$as_me:27158: result: $DFT_ARG_SUFFIX" >&5 echo "${ECHO_T}$DFT_ARG_SUFFIX" >&6 -echo "$as_me:27149: checking default library-dependency suffix" >&5 +echo "$as_me:27161: checking default library-dependency suffix" >&5 echo $ECHO_N "checking default library-dependency suffix... $ECHO_C" >&6 case X$DFT_LWR_MODEL in @@ -27229,10 +27241,10 @@ echo $ECHO_N "checking default library-dependency suffix... $ECHO_C" >&6 DFT_LIB_SUFFIX="${LIB_SUFFIX}${EXTRA_SUFFIX}${DFT_LIB_SUFFIX}" DFT_DEP_SUFFIX="${LIB_SUFFIX}${EXTRA_SUFFIX}${DFT_DEP_SUFFIX}" fi -echo "$as_me:27232: result: $DFT_DEP_SUFFIX" >&5 +echo "$as_me:27244: result: $DFT_DEP_SUFFIX" >&5 echo "${ECHO_T}$DFT_DEP_SUFFIX" >&6 -echo "$as_me:27235: checking default object directory" >&5 +echo "$as_me:27247: checking default object directory" >&5 echo $ECHO_N "checking default object directory... $ECHO_C" >&6 case $DFT_LWR_MODEL in @@ -27248,11 +27260,11 @@ echo $ECHO_N "checking default object directory... $ECHO_C" >&6 DFT_OBJ_SUBDIR='obj_s' ;; esac esac -echo "$as_me:27251: result: $DFT_OBJ_SUBDIR" >&5 +echo "$as_me:27263: result: $DFT_OBJ_SUBDIR" >&5 echo "${ECHO_T}$DFT_OBJ_SUBDIR" >&6 if test "x$cf_with_cxx" = xyes ; then -echo "$as_me:27255: checking c++ library-dependency suffix" >&5 +echo "$as_me:27267: checking c++ library-dependency suffix" >&5 echo $ECHO_N "checking c++ library-dependency suffix... $ECHO_C" >&6 if test "$with_libtool" != "no"; then # libtool thinks it can make c++ shared libraries (perhaps only g++) @@ -27345,7 +27357,7 @@ else fi fi -echo "$as_me:27348: result: $CXX_LIB_SUFFIX" >&5 +echo "$as_me:27360: result: $CXX_LIB_SUFFIX" >&5 echo "${ECHO_T}$CXX_LIB_SUFFIX" >&6 fi @@ -27521,19 +27533,19 @@ fi if test -n "$LDFLAGS_STATIC" && test -n "$LDFLAGS_SHARED" then - echo "$as_me:27524: checking if linker supports switching between static/dynamic" >&5 + echo "$as_me:27536: checking if linker supports switching between static/dynamic" >&5 echo $ECHO_N "checking if linker supports switching between static/dynamic... $ECHO_C" >&6 rm -f libconftest.a cat >conftest.$ac_ext < int cf_ldflags_static(FILE *fp) { return fflush(fp); } EOF - if { (eval echo "$as_me:27533: \"$ac_compile\"") >&5 + if { (eval echo "$as_me:27545: \"$ac_compile\"") >&5 (eval $ac_compile) 2>&5 ac_status=$? - echo "$as_me:27536: \$? = $ac_status" >&5 + echo "$as_me:27548: \$? = $ac_status" >&5 (exit $ac_status); } ; then ( $AR $ARFLAGS libconftest.a conftest.o ) 2>&5 1>/dev/null ( eval $RANLIB libconftest.a ) 2>&5 >/dev/null @@ -27544,10 +27556,10 @@ EOF LIBS="$LDFLAGS_STATIC -L`pwd` -lconftest $LDFLAGS_DYNAMIC $LIBS" cat >conftest.$ac_ext <<_ACEOF -#line 27547 "configure" +#line 27559 "configure" #include "confdefs.h" -#line 27550 "configure" +#line 27562 "configure" #include int cf_ldflags_static(FILE *fp); @@ -27562,16 +27574,16 @@ main (void) } _ACEOF rm -f conftest.$ac_objext conftest$ac_exeext -if { (eval echo "$as_me:27565: \"$ac_link\"") >&5 +if { (eval echo "$as_me:27577: \"$ac_link\"") >&5 (eval $ac_link) 2>&5 ac_status=$? - echo "$as_me:27568: \$? = $ac_status" >&5 + echo "$as_me:27580: \$? = $ac_status" >&5 (exit $ac_status); } && { ac_try='test -s conftest$ac_exeext' - { (eval echo "$as_me:27571: \"$ac_try\"") >&5 + { (eval echo "$as_me:27583: \"$ac_try\"") >&5 (eval $ac_try) 2>&5 ac_status=$? - echo "$as_me:27574: \$? = $ac_status" >&5 + echo "$as_me:27586: \$? = $ac_status" >&5 (exit $ac_status); }; }; then # some linkers simply ignore the -dynamic @@ -27594,7 +27606,7 @@ rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext rm -f libconftest.* LIBS="$cf_save_LIBS" - echo "$as_me:27597: result: $cf_ldflags_static" >&5 + echo "$as_me:27609: result: $cf_ldflags_static" >&5 echo "${ECHO_T}$cf_ldflags_static" >&6 if test $cf_ldflags_static != yes @@ -27610,7 +27622,7 @@ fi ;; esac -echo "$as_me:27613: checking where we will install curses.h" >&5 +echo "$as_me:27625: checking where we will install curses.h" >&5 echo $ECHO_N "checking where we will install curses.h... $ECHO_C" >&6 includesubdir= @@ -27620,7 +27632,7 @@ if test "$with_overwrite" = no && \ then includesubdir="/ncurses${USE_LIB_SUFFIX}" fi -echo "$as_me:27623: result: ${includedir}${includesubdir}" >&5 +echo "$as_me:27635: result: ${includedir}${includesubdir}" >&5 echo "${ECHO_T}${includedir}${includesubdir}" >&6 ### Resolve a conflict between normal and wide-curses by forcing applications @@ -27628,7 +27640,7 @@ echo "${ECHO_T}${includedir}${includesubdir}" >&6 if test "$with_overwrite" != no ; then if test "$NCURSES_LIBUTF8" = 1 ; then NCURSES_LIBUTF8='defined(HAVE_LIBUTF8_H)' - { echo "$as_me:27631: WARNING: Wide-character applications must define HAVE_LIBUTF8_H to include curses.h" >&5 + { echo "$as_me:27643: WARNING: Wide-character applications must define HAVE_LIBUTF8_H to include curses.h" >&5 echo "$as_me: WARNING: Wide-character applications must define HAVE_LIBUTF8_H to include curses.h" >&2;} fi fi @@ -27656,7 +27668,7 @@ EOF # pkgsrc uses these -echo "$as_me:27659: checking for desired basename for form library" >&5 +echo "$as_me:27671: checking for desired basename for form library" >&5 echo $ECHO_N "checking for desired basename for form library... $ECHO_C" >&6 # Check whether --with-form-libname or --without-form-libname was given. @@ -27676,10 +27688,10 @@ case "x$FORM_NAME" in ;; esac -echo "$as_me:27679: result: $FORM_NAME" >&5 +echo "$as_me:27691: result: $FORM_NAME" >&5 echo "${ECHO_T}$FORM_NAME" >&6 -echo "$as_me:27682: checking for desired basename for menu library" >&5 +echo "$as_me:27694: checking for desired basename for menu library" >&5 echo $ECHO_N "checking for desired basename for menu library... $ECHO_C" >&6 # Check whether --with-menu-libname or --without-menu-libname was given. @@ -27699,10 +27711,10 @@ case "x$MENU_NAME" in ;; esac -echo "$as_me:27702: result: $MENU_NAME" >&5 +echo "$as_me:27714: result: $MENU_NAME" >&5 echo "${ECHO_T}$MENU_NAME" >&6 -echo "$as_me:27705: checking for desired basename for panel library" >&5 +echo "$as_me:27717: checking for desired basename for panel library" >&5 echo $ECHO_N "checking for desired basename for panel library... $ECHO_C" >&6 # Check whether --with-panel-libname or --without-panel-libname was given. @@ -27722,10 +27734,10 @@ case "x$PANEL_NAME" in ;; esac -echo "$as_me:27725: result: $PANEL_NAME" >&5 +echo "$as_me:27737: result: $PANEL_NAME" >&5 echo "${ECHO_T}$PANEL_NAME" >&6 -echo "$as_me:27728: checking for desired basename for cxx library" >&5 +echo "$as_me:27740: checking for desired basename for cxx library" >&5 echo $ECHO_N "checking for desired basename for cxx library... $ECHO_C" >&6 # Check whether --with-cxx-libname or --without-cxx-libname was given. @@ -27745,13 +27757,13 @@ case "x$CXX_NAME" in ;; esac -echo "$as_me:27748: result: $CXX_NAME" >&5 +echo "$as_me:27760: result: $CXX_NAME" >&5 echo "${ECHO_T}$CXX_NAME" >&6 ### Construct the list of subdirectories for which we'll customize makefiles ### with the appropriate compile-rules. -echo "$as_me:27754: checking for src modules" >&5 +echo "$as_me:27766: checking for src modules" >&5 echo $ECHO_N "checking for src modules... $ECHO_C" >&6 # dependencies and linker-arguments for test-programs @@ -27820,7 +27832,7 @@ eval TEST_ROOT=\$${cf_map_lib_basename}_NAME fi fi done -echo "$as_me:27823: result: $cf_cv_src_modules" >&5 +echo "$as_me:27835: result: $cf_cv_src_modules" >&5 echo "${ECHO_T}$cf_cv_src_modules" >&6 TEST_ARGS="-L${LIB_DIR} $TEST_ARGS" @@ -27981,7 +27993,7 @@ case $cf_cv_system_name in (*-D_XOPEN_SOURCE_EXTENDED*) test -n "$verbose" && echo " moving _XOPEN_SOURCE_EXTENDED to work around g++ problem" 1>&6 -echo "${as_me:-configure}:27984: testing moving _XOPEN_SOURCE_EXTENDED to work around g++ problem ..." 1>&5 +echo "${as_me:-configure}:27996: testing moving _XOPEN_SOURCE_EXTENDED to work around g++ problem ..." 1>&5 CFLAGS="$CFLAGS -D_XOPEN_SOURCE_EXTENDED" CPPFLAGS=`echo "x$CPPFLAGS" | sed -e 's/^.//' -e 's/-D_XOPEN_SOURCE_EXTENDED//'` @@ -27992,7 +28004,7 @@ esac # Help to automatically enable the extended curses features when using either # the *-config or the ".pc" files by adding defines. -echo "$as_me:27995: checking for defines to add to ncurses${USE_CFG_SUFFIX}-config script" >&5 +echo "$as_me:28007: checking for defines to add to ncurses${USE_CFG_SUFFIX}-config script" >&5 echo $ECHO_N "checking for defines to add to ncurses${USE_CFG_SUFFIX}-config script... $ECHO_C" >&6 PKG_CFLAGS= for cf_loop1 in $CPPFLAGS_after_XOPEN @@ -28008,7 +28020,7 @@ do done test "$cf_found" = no && PKG_CFLAGS="$PKG_CFLAGS $cf_loop1" done -echo "$as_me:28011: result: $PKG_CFLAGS" >&5 +echo "$as_me:28023: result: $PKG_CFLAGS" >&5 echo "${ECHO_T}$PKG_CFLAGS" >&6 # AC_CHECK_SIZEOF demands a literal parameter, no variables. So we do this. @@ -28069,7 +28081,7 @@ then cf_filter_syms=$cf_dft_filter_syms test -n "$verbose" && echo " will map symbols to ABI=$cf_cv_abi_version" 1>&6 -echo "${as_me:-configure}:28072: testing will map symbols to ABI=$cf_cv_abi_version ..." 1>&5 +echo "${as_me:-configure}:28084: testing will map symbols to ABI=$cf_cv_abi_version ..." 1>&5 fi @@ -28096,7 +28108,7 @@ fi # This is used for the *-config script and *.pc data files. -echo "$as_me:28099: checking for linker search path" >&5 +echo "$as_me:28111: checking for linker search path" >&5 echo $ECHO_N "checking for linker search path... $ECHO_C" >&6 if test "${cf_cv_ld_searchpath+set}" = set; then echo $ECHO_N "(cached) $ECHO_C" >&6 @@ -28160,7 +28172,7 @@ done test -z "$cf_cv_ld_searchpath" && cf_cv_ld_searchpath=/usr/lib fi -echo "$as_me:28163: result: $cf_cv_ld_searchpath" >&5 +echo "$as_me:28175: result: $cf_cv_ld_searchpath" >&5 echo "${ECHO_T}$cf_cv_ld_searchpath" >&6 LD_SEARCHPATH=`echo "$cf_cv_ld_searchpath"|sed -e 's/ /|/g'` @@ -28250,7 +28262,7 @@ DEFS=-DHAVE_CONFIG_H : ${CONFIG_STATUS=./config.status} ac_clean_files_save=$ac_clean_files ac_clean_files="$ac_clean_files $CONFIG_STATUS" -{ echo "$as_me:28253: creating $CONFIG_STATUS" >&5 +{ echo "$as_me:28265: creating $CONFIG_STATUS" >&5 echo "$as_me: creating $CONFIG_STATUS" >&6;} cat >$CONFIG_STATUS <<_ACEOF #! $SHELL @@ -28428,7 +28440,7 @@ cat >>$CONFIG_STATUS <<\EOF echo "$ac_cs_version"; exit 0 ;; --he | --h) # Conflict between --help and --header - { { echo "$as_me:28431: error: ambiguous option: $1 + { { echo "$as_me:28443: error: ambiguous option: $1 Try \`$0 --help' for more information." >&5 echo "$as_me: error: ambiguous option: $1 Try \`$0 --help' for more information." >&2;} @@ -28447,7 +28459,7 @@ Try \`$0 --help' for more information." >&2;} ac_need_defaults=false;; # This is an error. - -*) { { echo "$as_me:28450: error: unrecognized option: $1 + -*) { { echo "$as_me:28462: error: unrecognized option: $1 Try \`$0 --help' for more information." >&5 echo "$as_me: error: unrecognized option: $1 Try \`$0 --help' for more information." >&2;} @@ -28529,6 +28541,8 @@ WITH_CURSES_H="$with_curses_h" WITH_ECHO="${enable_echo:=yes}" WITH_OVERWRITE="$with_overwrite" cf_LIST_MODELS="$cf_list_models" +cf_cv_VERSION_GNATMAKE=$cf_cv_VERSION_GNATMAKE +cf_cv_VERSION_GPRBUILD=$cf_cv_VERSION_GPRBUILD cf_cv_abi_version="$cf_cv_abi_version" cf_cv_do_relink="$cf_cv_do_relink" cf_cv_do_reranlib="$cf_cv_do_reranlib" @@ -28570,7 +28584,7 @@ do "Makefile" ) CONFIG_FILES="$CONFIG_FILES Makefile" ;; "default" ) CONFIG_COMMANDS="$CONFIG_COMMANDS default" ;; "include/ncurses_cfg.h" ) CONFIG_HEADERS="$CONFIG_HEADERS include/ncurses_cfg.h:include/ncurses_cfg.hin" ;; - *) { { echo "$as_me:28573: error: invalid argument: $ac_config_target" >&5 + *) { { echo "$as_me:28587: error: invalid argument: $ac_config_target" >&5 echo "$as_me: error: invalid argument: $ac_config_target" >&2;} { (exit 1); exit 1; }; };; esac @@ -28879,6 +28893,8 @@ s,@USE_GNAT_SIGINT@,$USE_GNAT_SIGINT,;t t s,@USE_OLD_MAKERULES@,$USE_OLD_MAKERULES,;t t s,@USE_GNAT_PROJECTS@,$USE_GNAT_PROJECTS,;t t s,@USE_GNAT_LIBRARIES@,$USE_GNAT_LIBRARIES,;t t +s,@USE_GNAT_MAKE_GPR@,$USE_GNAT_MAKE_GPR,;t t +s,@USE_GNAT_GPRBUILD@,$USE_GNAT_GPRBUILD,;t t s,@cf_ada_compiler@,$cf_ada_compiler,;t t s,@cf_ada_package@,$cf_ada_package,;t t s,@ADA_INCLUDE@,$ADA_INCLUDE,;t t @@ -29074,7 +29090,7 @@ done; } esac if test x"$ac_file" != x-; then - { echo "$as_me:29077: creating $ac_file" >&5 + { echo "$as_me:29093: creating $ac_file" >&5 echo "$as_me: creating $ac_file" >&6;} rm -f "$ac_file" fi @@ -29092,7 +29108,7 @@ echo "$as_me: creating $ac_file" >&6;} -) echo $tmp/stdin ;; [\\/$]*) # Absolute (can't be DOS-style, as IFS=:) - test -f "$f" || { { echo "$as_me:29095: error: cannot find input file: $f" >&5 + test -f "$f" || { { echo "$as_me:29111: error: cannot find input file: $f" >&5 echo "$as_me: error: cannot find input file: $f" >&2;} { (exit 1); exit 1; }; } echo $f;; @@ -29105,7 +29121,7 @@ echo "$as_me: error: cannot find input file: $f" >&2;} echo $srcdir/$f else # /dev/null tree - { { echo "$as_me:29108: error: cannot find input file: $f" >&5 + { { echo "$as_me:29124: error: cannot find input file: $f" >&5 echo "$as_me: error: cannot find input file: $f" >&2;} { (exit 1); exit 1; }; } fi;; @@ -29121,7 +29137,7 @@ cat >>$CONFIG_STATUS <<\EOF if test -n "$ac_seen"; then ac_used=`grep '@datarootdir@' $ac_item` if test -z "$ac_used"; then - { echo "$as_me:29124: WARNING: datarootdir was used implicitly but not set: + { echo "$as_me:29140: WARNING: datarootdir was used implicitly but not set: $ac_seen" >&5 echo "$as_me: WARNING: datarootdir was used implicitly but not set: $ac_seen" >&2;} @@ -29130,7 +29146,7 @@ $ac_seen" >&2;} fi ac_seen=`grep '${datarootdir}' $ac_item` if test -n "$ac_seen"; then - { echo "$as_me:29133: WARNING: datarootdir was used explicitly but not set: + { echo "$as_me:29149: WARNING: datarootdir was used explicitly but not set: $ac_seen" >&5 echo "$as_me: WARNING: datarootdir was used explicitly but not set: $ac_seen" >&2;} @@ -29167,7 +29183,7 @@ s,@INSTALL@,$ac_INSTALL,;t t ac_init=`egrep '[ ]*'$ac_name'[ ]*=' $ac_file` if test -z "$ac_init"; then ac_seen=`echo "$ac_seen" |sed -e 's,^,'$ac_file':,'` - { echo "$as_me:29170: WARNING: Variable $ac_name is used but was not set: + { echo "$as_me:29186: WARNING: Variable $ac_name is used but was not set: $ac_seen" >&5 echo "$as_me: WARNING: Variable $ac_name is used but was not set: $ac_seen" >&2;} @@ -29178,7 +29194,7 @@ $ac_seen" >&2;} egrep -n '@[A-Z_][A-Z_0-9]+@' $ac_file >>$tmp/out if test -s $tmp/out; then ac_seen=`sed -e 's,^,'$ac_file':,' < $tmp/out` - { echo "$as_me:29181: WARNING: Some variables may not be substituted: + { echo "$as_me:29197: WARNING: Some variables may not be substituted: $ac_seen" >&5 echo "$as_me: WARNING: Some variables may not be substituted: $ac_seen" >&2;} @@ -29227,7 +29243,7 @@ for ac_file in : $CONFIG_HEADERS; do test "x$ac_file" = x: && continue * ) ac_file_in=$ac_file.in ;; esac - test x"$ac_file" != x- && { echo "$as_me:29230: creating $ac_file" >&5 + test x"$ac_file" != x- && { echo "$as_me:29246: creating $ac_file" >&5 echo "$as_me: creating $ac_file" >&6;} # First look for the input files in the build tree, otherwise in the @@ -29238,7 +29254,7 @@ echo "$as_me: creating $ac_file" >&6;} -) echo $tmp/stdin ;; [\\/$]*) # Absolute (can't be DOS-style, as IFS=:) - test -f "$f" || { { echo "$as_me:29241: error: cannot find input file: $f" >&5 + test -f "$f" || { { echo "$as_me:29257: error: cannot find input file: $f" >&5 echo "$as_me: error: cannot find input file: $f" >&2;} { (exit 1); exit 1; }; } echo $f;; @@ -29251,7 +29267,7 @@ echo "$as_me: error: cannot find input file: $f" >&2;} echo $srcdir/$f else # /dev/null tree - { { echo "$as_me:29254: error: cannot find input file: $f" >&5 + { { echo "$as_me:29270: error: cannot find input file: $f" >&5 echo "$as_me: error: cannot find input file: $f" >&2;} { (exit 1); exit 1; }; } fi;; @@ -29309,7 +29325,7 @@ cat >>$CONFIG_STATUS <<\EOF rm -f $tmp/in if test x"$ac_file" != x-; then if cmp -s $ac_file $tmp/config.h 2>/dev/null; then - { echo "$as_me:29312: $ac_file is unchanged" >&5 + { echo "$as_me:29328: $ac_file is unchanged" >&5 echo "$as_me: $ac_file is unchanged" >&6;} else ac_dir=`$as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \ @@ -29696,7 +29712,7 @@ cf_ITEM=`echo "$cf_item" | sed y%abcdefghijklmnopqrstuvwxyz./-%ABCDEFGHIJKLMNOPQ (cygdll|msysdll|mingw|msvcdll) test "x$with_shared_cxx" = xno && test -n "$verbose" && echo " overriding CXX_MODEL to SHARED" 1>&6 -echo "${as_me:-configure}:29699: testing overriding CXX_MODEL to SHARED ..." 1>&5 +echo "${as_me:-configure}:29715: testing overriding CXX_MODEL to SHARED ..." 1>&5 with_shared_cxx=yes ;; diff --git a/configure.in b/configure.in index f41066cd..4876fae6 100644 --- a/configure.in +++ b/configure.in @@ -29,7 +29,7 @@ dnl*************************************************************************** dnl dnl Author: Thomas E. Dickey 1995-on dnl -dnl $Id: configure.in,v 1.725 2020/09/18 22:54:36 tom Exp $ +dnl $Id: configure.in,v 1.726 2020/12/05 21:29:46 tom Exp $ dnl Process this file with autoconf to produce a configure script. dnl dnl For additional information, see @@ -38,7 +38,7 @@ dnl https://invisible-island.net/autoconf/my-autoconf.html dnl dnl --------------------------------------------------------------------------- AC_PREREQ(2.52.20200111) -AC_REVISION($Revision: 1.725 $) +AC_REVISION($Revision: 1.726 $) AC_INIT(ncurses/base/lib_initscr.c) AC_CONFIG_HEADER(include/ncurses_cfg.h:include/ncurses_cfg.hin) @@ -2557,6 +2557,8 @@ WITH_CURSES_H="$with_curses_h" WITH_ECHO="${enable_echo:=yes}" WITH_OVERWRITE="$with_overwrite" cf_LIST_MODELS="$cf_list_models" +cf_cv_VERSION_GNATMAKE=$cf_cv_VERSION_GNATMAKE +cf_cv_VERSION_GPRBUILD=$cf_cv_VERSION_GPRBUILD cf_cv_abi_version="$cf_cv_abi_version" cf_cv_do_relink="$cf_cv_do_relink" cf_cv_do_reranlib="$cf_cv_do_reranlib" diff --git a/dist.mk b/dist.mk index 2e3e3bc6..778d6dc4 100644 --- a/dist.mk +++ b/dist.mk @@ -26,7 +26,7 @@ # use or other dealings in this Software without prior written # # authorization. # ############################################################################## -# $Id: dist.mk,v 1.1387 2020/11/28 13:32:34 tom Exp $ +# $Id: dist.mk,v 1.1388 2020/12/05 12:53:06 tom Exp $ # Makefile for creating ncurses distributions. # # This only needs to be used directly as a makefile by developers, but @@ -38,7 +38,7 @@ SHELL = /bin/sh # These define the major/minor/patch versions of ncurses. NCURSES_MAJOR = 6 NCURSES_MINOR = 2 -NCURSES_PATCH = 20201128 +NCURSES_PATCH = 20201205 # We don't append the patch to the version, since this only applies to releases VERSION = $(NCURSES_MAJOR).$(NCURSES_MINOR) diff --git a/doc/html/man/adacurses6-config.1.html b/doc/html/man/adacurses6-config.1.html index 0b00237b..5aea7147 100644 --- a/doc/html/man/adacurses6-config.1.html +++ b/doc/html/man/adacurses6-config.1.html @@ -126,7 +126,7 @@

SEE ALSO

        curses(3x)
 
-       This describes ncurses version 6.2 (patch 20201107).
+       This describes ncurses version 6.2 (patch 20201205).
 
 
 
diff --git a/doc/html/man/captoinfo.1m.html b/doc/html/man/captoinfo.1m.html
index 4d21efbf..874a5fb2 100644
--- a/doc/html/man/captoinfo.1m.html
+++ b/doc/html/man/captoinfo.1m.html
@@ -199,7 +199,7 @@
 

SEE ALSO

        infocmp(1m), curses(3x), terminfo(5)
 
-       This describes ncurses version 6.2 (patch 20201107).
+       This describes ncurses version 6.2 (patch 20201205).
 
 
 

AUTHOR

diff --git a/doc/html/man/clear.1.html b/doc/html/man/clear.1.html
index 43832ee1..b94abd8b 100644
--- a/doc/html/man/clear.1.html
+++ b/doc/html/man/clear.1.html
@@ -149,7 +149,7 @@
 

SEE ALSO

        tput(1), terminfo(5)
 
-       This describes ncurses version 6.2 (patch 20201107).
+       This describes ncurses version 6.2 (patch 20201205).
 
 
 
diff --git a/doc/html/man/curs_inopts.3x.html b/doc/html/man/curs_inopts.3x.html
index 7d4d049b..533d6709 100644
--- a/doc/html/man/curs_inopts.3x.html
+++ b/doc/html/man/curs_inopts.3x.html
@@ -27,7 +27,7 @@
   * sale, use or other dealings in this Software without prior written       *
   * authorization.                                                           *
   ****************************************************************************
-  * @Id: curs_inopts.3x,v 1.32 2020/10/24 09:18:33 tom Exp @
+  * @Id: curs_inopts.3x,v 1.33 2020/12/05 19:38:18 Benno.Schulenberg Exp @
 -->
 
 
@@ -167,16 +167,18 @@
        translates the return key into newline on input.
 
 
-

nodelay/notimeout

+

nodelay

        The nodelay option causes getch to be a non-blocking call.  If no input
        is ready, getch returns ERR.  If disabled (bf is  FALSE),  getch  waits
        until a key is pressed.
 
-       While  interpreting  an  input escape sequence, wgetch(3x) sets a timer
-       while waiting for the  next  character.   If  notimeout(win,  TRUE)  is
-       called,  then  wgetch does not set a timer.  The purpose of the timeout
-       is to differentiate between sequences received from a function key  and
-       those typed by a user.
+
+

notimeout

+       When  interpreting  an  escape  sequence, wgetch(3x) sets a timer while
+       waiting for the next character.  If  notimeout(win,  TRUE)  is  called,
+       then  wgetch  does  not  set a timer.  The purpose of the timeout is to
+       differentiate between sequences received from a function key and  those
+       typed by a user.
 
 
 

raw/noraw

@@ -315,7 +317,8 @@
 
  • keypad
  • meta
  • nl/nonl
  • -
  • nodelay/notimeout
  • +
  • nodelay
  • +
  • notimeout
  • raw/noraw
  • qiflush/noqiflush
  • timeout/wtimeout
  • diff --git a/doc/html/man/form.3x.html b/doc/html/man/form.3x.html index 9dcf1019..ea12a711 100644 --- a/doc/html/man/form.3x.html +++ b/doc/html/man/form.3x.html @@ -247,7 +247,7 @@ curses(3x) and related pages whose names begin "form_" for detailed descriptions of the entry points. - This describes ncurses version 6.2 (patch 20201107). + This describes ncurses version 6.2 (patch 20201205). diff --git a/doc/html/man/infocmp.1m.html b/doc/html/man/infocmp.1m.html index 2ddec2db..c0298b6f 100644 --- a/doc/html/man/infocmp.1m.html +++ b/doc/html/man/infocmp.1m.html @@ -512,7 +512,7 @@ https://invisible-island.net/ncurses/tctest.html - This describes ncurses version 6.2 (patch 20201107). + This describes ncurses version 6.2 (patch 20201205).

    AUTHOR

    diff --git a/doc/html/man/infotocap.1m.html b/doc/html/man/infotocap.1m.html
    index 71568dd1..5dce091e 100644
    --- a/doc/html/man/infotocap.1m.html
    +++ b/doc/html/man/infotocap.1m.html
    @@ -91,7 +91,7 @@
     

    SEE ALSO

            curses(3x), tic(1m), infocmp(1m), terminfo(5)
     
    -       This describes ncurses version 6.2 (patch 20201107).
    +       This describes ncurses version 6.2 (patch 20201205).
     
     
     

    AUTHOR

    diff --git a/doc/html/man/menu.3x.html b/doc/html/man/menu.3x.html
    index 34140749..9fe00d91 100644
    --- a/doc/html/man/menu.3x.html
    +++ b/doc/html/man/menu.3x.html
    @@ -222,7 +222,7 @@
            curses(3x)  and  related  pages  whose names begin "menu_" for detailed
            descriptions of the entry points.
     
    -       This describes ncurses version 6.2 (patch 20201107).
    +       This describes ncurses version 6.2 (patch 20201205).
     
     
     
    diff --git a/doc/html/man/ncurses.3x.html b/doc/html/man/ncurses.3x.html
    index e3424758..f811158a 100644
    --- a/doc/html/man/ncurses.3x.html
    +++ b/doc/html/man/ncurses.3x.html
    @@ -60,7 +60,7 @@
            method of updating  character  screens  with  reasonable  optimization.
            This  implementation  is  "new  curses"  (ncurses)  and is the approved
            replacement for 4.4BSD classic curses,  which  has  been  discontinued.
    -       This describes ncurses version 6.2 (patch 20201107).
    +       This describes ncurses version 6.2 (patch 20201205).
     
            The  ncurses  library emulates the curses library of System V Release 4
            UNIX, and XPG4 (X/Open Portability Guide) curses  (also  known  as  XSI
    diff --git a/doc/html/man/ncurses6-config.1.html b/doc/html/man/ncurses6-config.1.html
    index 947efc70..085f3d53 100644
    --- a/doc/html/man/ncurses6-config.1.html
    +++ b/doc/html/man/ncurses6-config.1.html
    @@ -113,7 +113,7 @@
     

    SEE ALSO

            curses(3x)
     
    -       This describes ncurses version 6.2 (patch 20201107).
    +       This describes ncurses version 6.2 (patch 20201205).
     
     
     
    diff --git a/doc/html/man/panel.3x.html b/doc/html/man/panel.3x.html
    index e5426a7a..8d029f75 100644
    --- a/doc/html/man/panel.3x.html
    +++ b/doc/html/man/panel.3x.html
    @@ -281,7 +281,7 @@
     

    SEE ALSO

            curses(3x), curs_variables(3x),
     
    -       This describes ncurses version 6.2 (patch 20201107).
    +       This describes ncurses version 6.2 (patch 20201205).
     
     
     

    AUTHOR

    diff --git a/doc/html/man/tabs.1.html b/doc/html/man/tabs.1.html
    index 86ed1574..63e453ee 100644
    --- a/doc/html/man/tabs.1.html
    +++ b/doc/html/man/tabs.1.html
    @@ -206,7 +206,7 @@
     

    SEE ALSO

            tset(1), infocmp(1m), curses(3x), terminfo(5).
     
    -       This describes ncurses version 6.2 (patch 20201107).
    +       This describes ncurses version 6.2 (patch 20201205).
     
     
     
    diff --git a/doc/html/man/terminfo.5.html b/doc/html/man/terminfo.5.html
    index c60aebd7..21945f26 100644
    --- a/doc/html/man/terminfo.5.html
    +++ b/doc/html/man/terminfo.5.html
    @@ -105,7 +105,7 @@
            have, by specifying how to perform screen operations, and by specifying
            padding requirements and initialization sequences.
     
    -       This manual describes ncurses version 6.2 (patch 20201107).
    +       This manual describes ncurses version 6.2 (patch 20201205).
     
     
     

    Terminfo Entry Syntax

    diff --git a/doc/html/man/tic.1m.html b/doc/html/man/tic.1m.html
    index ef6ef70a..19b8818c 100644
    --- a/doc/html/man/tic.1m.html
    +++ b/doc/html/man/tic.1m.html
    @@ -461,7 +461,7 @@
            infocmp(1m),   captoinfo(1m),   infotocap(1m),   toe(1m),   curses(3x),
            term(5).  terminfo(5).  user_caps(5).
     
    -       This describes ncurses version 6.2 (patch 20201107).
    +       This describes ncurses version 6.2 (patch 20201205).
     
     
     

    AUTHOR

    diff --git a/doc/html/man/toe.1m.html b/doc/html/man/toe.1m.html
    index 30836a42..12dffdd2 100644
    --- a/doc/html/man/toe.1m.html
    +++ b/doc/html/man/toe.1m.html
    @@ -171,7 +171,7 @@
            tic(1m), infocmp(1m), captoinfo(1m),  infotocap(1m),  curses(3x),  ter-
            minfo(5).
     
    -       This describes ncurses version 6.2 (patch 20201107).
    +       This describes ncurses version 6.2 (patch 20201205).
     
     
     
    diff --git a/doc/html/man/tput.1.html b/doc/html/man/tput.1.html
    index 03ec120e..931913c4 100644
    --- a/doc/html/man/tput.1.html
    +++ b/doc/html/man/tput.1.html
    @@ -523,7 +523,7 @@
     

    SEE ALSO

            clear(1), stty(1), tabs(1), tset(1), terminfo(5), curs_termcap(3x).
     
    -       This describes ncurses version 6.2 (patch 20201107).
    +       This describes ncurses version 6.2 (patch 20201205).
     
     
     
    diff --git a/doc/html/man/tset.1.html b/doc/html/man/tset.1.html
    index df370bcc..1698bd12 100644
    --- a/doc/html/man/tset.1.html
    +++ b/doc/html/man/tset.1.html
    @@ -390,7 +390,7 @@
            csh(1),  sh(1),  stty(1),   curs_terminfo(3x),   tty(4),   terminfo(5),
            ttys(5), environ(7)
     
    -       This describes ncurses version 6.2 (patch 20201107).
    +       This describes ncurses version 6.2 (patch 20201205).
     
     
     
    diff --git a/man/curs_inopts.3x b/man/curs_inopts.3x
    index 81eed8fc..d346017b 100644
    --- a/man/curs_inopts.3x
    +++ b/man/curs_inopts.3x
    @@ -27,7 +27,7 @@
     .\" authorization.                                                           *
     .\"***************************************************************************
     .\"
    -.\" $Id: curs_inopts.3x,v 1.32 2020/10/24 09:18:33 tom Exp $
    +.\" $Id: curs_inopts.3x,v 1.33 2020/12/05 19:38:18 Benno.Schulenberg Exp $
     .TH curs_inopts 3X ""
     .ie \n(.g .ds `` \(lq
     .el       .ds `` ``
    @@ -205,14 +205,15 @@ If the terminfo capabilities \fBsmm\fR
     The \fBnl\fR and \fBnonl\fR routines control whether the underlying display
     device translates the return key into newline on input.
     .\"
    -.SS nodelay/notimeout
    +.SS nodelay
     .PP
     The \fBnodelay\fR option causes \fBgetch\fR to be a non-blocking call.
     If no input is ready, \fBgetch\fR returns \fBERR\fR.
     If disabled
     (\fIbf\fR is \fBFALSE\fR), \fBgetch\fR waits until a key is pressed.
    +.SS notimeout
     .PP
    -While interpreting an input escape sequence, \fBwgetch\fR(3X) sets a timer
    +When interpreting an escape sequence, \fBwgetch\fR(3X) sets a timer
     while waiting for the next character.
     If \fBnotimeout(\fR\fIwin\fR,
     \fBTRUE\fR) is called, then \fBwgetch\fR does not set a timer.
    diff --git a/misc/terminfo.src b/misc/terminfo.src
    index 0d389666..3afb57e8 100644
    --- a/misc/terminfo.src
    +++ b/misc/terminfo.src
    @@ -6,8 +6,8 @@
     # Report bugs and new terminal descriptions to
     #	bug-ncurses@gnu.org
     #
    -#	$Revision: 1.833 $
    -#	$Date: 2020/11/28 23:10:42 $
    +#	$Revision: 1.835 $
    +#	$Date: 2020/12/05 16:54:21 $
     #
     # The original header is preserved below for reference.  It is noted that there
     # is a "newer" version which differs in some cosmetic details (but actually
    @@ -6000,15 +6000,15 @@ mlterm|multi lingual terminal emulator,
     # with ncurses, tack and vttest -TD
     mlterm3|multi lingual terminal emulator,
     	bce, AX,
    -	blink=\E[5m, invis=\E[8m, is2=\E[!p\E[?3;4l\E>,
    -	kf1=\E[11~, kf2=\E[12~, kf3=\E[13~, kf4=\E[14~,
    -	rs2=\E[!p\E[?3;4l\E>,
    +	blink=\E[5m, flash=\E[?5h$<100/>\E[?5l, invis=\E[8m,
    +	is2=\E[!p\E[?3;4l\E>, rs2=\E[!p\E[?3;4l\E>,
     	sgr=\E[0%?%p6%t;1%;%?%p2%t;4%;%?%p4%t;5%;%?%p1%p3%|%t;7%;%?
     	    %p7%t;8%;m%?%p9%t\E(0%e\E(B%;,
     	use=ansi+enq, use=ansi+rep, use=ecma+italics,
     	use=ecma+strikeout, use=xterm+app, use=xterm+pcf2,
     	use=xterm+pcc2, use=xterm+pce2, use=xterm+meta,
    -	use=xterm+alt+title, use=xterm+sm+1006, use=mlterm2,
    +	use=xterm+alt+title, use=xterm+sm+1006,
    +	use=vt100+pfkeys, use=mlterm2,
     
     # This is mlterm 2.9.3's mlterm.ti, with some additions/corrections -TD
     #
    @@ -26747,4 +26747,8 @@ v3220|LANPAR Vision II model 3220/3221/3222,
     #	+ add rep to PuTTY -TD
     #	+ add putty+keypad -TD
     #
    +# 2020-12-05
    +#	+ correct mlterm3 kf1-kf4 (Debian #975322) -TD
    +#	+ add flash to mlterm3 -TD
    +#
     ######## SHANTIH!  SHANTIH!  SHANTIH!
    diff --git a/ncurses/base/lib_addstr.c b/ncurses/base/lib_addstr.c
    index 19ebfcd5..a1e8829d 100644
    --- a/ncurses/base/lib_addstr.c
    +++ b/ncurses/base/lib_addstr.c
    @@ -45,7 +45,7 @@
     
     #include 
     
    -MODULE_ID("$Id: lib_addstr.c,v 1.56 2020/02/02 23:34:34 tom Exp $")
    +MODULE_ID("$Id: lib_addstr.c,v 1.57 2020/12/05 20:06:19 tom Exp $")
     
     NCURSES_EXPORT(int)
     waddnstr(WINDOW *win, const char *astr, int n)
    @@ -60,10 +60,10 @@ waddnstr(WINDOW *win, const char *astr, int n)
     	   ("... current %s", _traceattr(WINDOW_ATTRS(win))));
     	code = OK;
     	if (n < 0)
    -	    n = (int) strlen(astr);
    +	    n = INT_MAX;
     
     	TR(TRACE_VIRTPUT, ("str is not null, length = %d", n));
    -	while ((n-- > 0) && (*str != '\0')) {
    +	while ((*str != '\0') && (n-- > 0)) {
     	    NCURSES_CH_T ch;
     	    TR(TRACE_VIRTPUT, ("*str = %#o", UChar(*str)));
     	    SetChar(ch, UChar(*str++), A_NORMAL);
    @@ -232,10 +232,10 @@ waddnwstr(WINDOW *win, const wchar_t *str, int n)
     	   ("... current %s", _traceattr(WINDOW_ATTRS(win))));
     	code = OK;
     	if (n < 0)
    -	    n = (int) wcslen(str);
    +	    n = INT_MAX;
     
     	TR(TRACE_VIRTPUT, ("str is not null, length = %d", n));
    -	while ((n-- > 0) && (*str != L('\0'))) {
    +	while ((*str != L('\0')) && (n-- > 0)) {
     	    NCURSES_CH_T ch;
     	    TR(TRACE_VIRTPUT, ("*str[0] = %#lx", (unsigned long) *str));
     	    SetChar(ch, *str++, A_NORMAL);
    diff --git a/ncurses/widechar/lib_ins_wch.c b/ncurses/widechar/lib_ins_wch.c
    index a744f5bf..f7536108 100644
    --- a/ncurses/widechar/lib_ins_wch.c
    +++ b/ncurses/widechar/lib_ins_wch.c
    @@ -40,7 +40,7 @@
     
     #include 
     
    -MODULE_ID("$Id: lib_ins_wch.c,v 1.24 2020/02/02 23:34:34 tom Exp $")
    +MODULE_ID("$Id: lib_ins_wch.c,v 1.25 2020/12/05 20:04:59 tom Exp $")
     
     /*
      * Insert the given character, updating the current location to simplify
    @@ -111,7 +111,7 @@ wins_nwstr(WINDOW *win, const wchar_t *wstr, int n)
         if (win != 0
     	&& wstr != 0) {
     	if (n < 1)
    -	    n = (int) wcslen(wstr);
    +	    n = INT_MAX;
     	code = OK;
     
     	if (n > 0) {
    @@ -120,7 +120,7 @@ wins_nwstr(WINDOW *win, const wchar_t *wstr, int n)
     	    NCURSES_SIZE_T oy = win->_cury;
     	    NCURSES_SIZE_T ox = win->_curx;
     
    -	    for (cp = wstr; ((cp - wstr) < n) && *cp; cp++) {
    +	    for (cp = wstr; (*cp != L'\0') && ((cp - wstr) < n); cp++) {
     		int len = _nc_wacs_width(*cp);
     
     		if ((len >= 0 && len != 1) || !is7bits(*cp)) {
    diff --git a/package/debian-mingw/changelog b/package/debian-mingw/changelog
    index a27403ab..86fb6733 100644
    --- a/package/debian-mingw/changelog
    +++ b/package/debian-mingw/changelog
    @@ -1,8 +1,8 @@
    -ncurses6 (6.2+20201128) unstable; urgency=low
    +ncurses6 (6.2+20201205) unstable; urgency=low
     
       * latest weekly patch
     
    - -- Thomas E. Dickey   Sat, 28 Nov 2020 08:32:34 -0500
    + -- Thomas E. Dickey   Sat, 05 Dec 2020 07:53:06 -0500
     
     ncurses6 (5.9-20131005) unstable; urgency=low
     
    diff --git a/package/debian-mingw64/changelog b/package/debian-mingw64/changelog
    index a27403ab..86fb6733 100644
    --- a/package/debian-mingw64/changelog
    +++ b/package/debian-mingw64/changelog
    @@ -1,8 +1,8 @@
    -ncurses6 (6.2+20201128) unstable; urgency=low
    +ncurses6 (6.2+20201205) unstable; urgency=low
     
       * latest weekly patch
     
    - -- Thomas E. Dickey   Sat, 28 Nov 2020 08:32:34 -0500
    + -- Thomas E. Dickey   Sat, 05 Dec 2020 07:53:06 -0500
     
     ncurses6 (5.9-20131005) unstable; urgency=low
     
    diff --git a/package/debian/changelog b/package/debian/changelog
    index 44351ddb..7fb866ca 100644
    --- a/package/debian/changelog
    +++ b/package/debian/changelog
    @@ -1,8 +1,8 @@
    -ncurses6 (6.2+20201128) unstable; urgency=low
    +ncurses6 (6.2+20201205) unstable; urgency=low
     
       * latest weekly patch
     
    - -- Thomas E. Dickey   Sat, 28 Nov 2020 08:32:34 -0500
    + -- Thomas E. Dickey   Sat, 05 Dec 2020 07:53:06 -0500
     
     ncurses6 (5.9-20120608) unstable; urgency=low
     
    diff --git a/package/mingw-ncurses.nsi b/package/mingw-ncurses.nsi
    index af11b5bf..1004d297 100644
    --- a/package/mingw-ncurses.nsi
    +++ b/package/mingw-ncurses.nsi
    @@ -1,4 +1,4 @@
    -; $Id: mingw-ncurses.nsi,v 1.431 2020/11/28 13:32:34 tom Exp $
    +; $Id: mingw-ncurses.nsi,v 1.432 2020/12/05 12:53:06 tom Exp $
     
     ; TODO add examples
     ; TODO bump ABI to 6
    @@ -10,7 +10,7 @@
     !define VERSION_MAJOR "6"
     !define VERSION_MINOR "2"
     !define VERSION_YYYY  "2020"
    -!define VERSION_MMDD  "1128"
    +!define VERSION_MMDD  "1205"
     !define VERSION_PATCH ${VERSION_YYYY}${VERSION_MMDD}
     
     !define MY_ABI   "5"
    diff --git a/package/mingw-ncurses.spec b/package/mingw-ncurses.spec
    index 5d72ae59..89bdc7ae 100644
    --- a/package/mingw-ncurses.spec
    +++ b/package/mingw-ncurses.spec
    @@ -3,7 +3,7 @@
     Summary: shared libraries for terminal handling
     Name: mingw32-ncurses6
     Version: 6.2
    -Release: 20201128
    +Release: 20201205
     License: X11
     Group: Development/Libraries
     Source: ncurses-%{version}-%{release}.tgz
    diff --git a/package/ncurses.spec b/package/ncurses.spec
    index a7847500..20bd3d73 100644
    --- a/package/ncurses.spec
    +++ b/package/ncurses.spec
    @@ -1,7 +1,7 @@
     Summary: shared libraries for terminal handling
     Name: ncurses6
     Version: 6.2
    -Release: 20201128
    +Release: 20201205
     License: X11
     Group: Development/Libraries
     Source: ncurses-%{version}-%{release}.tgz
    diff --git a/package/ncursest.spec b/package/ncursest.spec
    index 4db0e395..7c981b33 100644
    --- a/package/ncursest.spec
    +++ b/package/ncursest.spec
    @@ -1,7 +1,7 @@
     Summary: Curses library with POSIX thread support.
     Name: ncursest6
     Version: 6.2
    -Release: 20201128
    +Release: 20201205
     License: X11
     Group: Development/Libraries
     Source: ncurses-%{version}-%{release}.tgz
    -- 
    2.44.0